Bug 171212 - CVE-2005-3258 Squid crash due to malformed FTP response
CVE-2005-3258 Squid crash due to malformed FTP response
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: squid (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
: Security
Depends On:
  Show dependency treegraph
Reported: 2005-10-19 10:59 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: squid-2.5.STABLE3-6.3E.15, squid-2.5.STABLE6-3.4E.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-25 08:07:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-10-19 10:59:47 EDT
Squid recently fixed an issue which can cause Squid to crash when processing
certain odd FTP responses.

More information here:

Here is the bug with the patch:
Comment 1 Josh Bressers 2005-10-19 11:00:28 EDT
This issue may also affect RHEL2.1 and RHEL3
Comment 3 Martin Stransky 2005-10-25 08:07:08 EDT
Our packages in RHEL-X aren't affected by this issue. It was introduced in
squid-2.5.STABLE10-ftp_basehref.patch which isn't in these packages.

Note You need to log in before you can comment on or make changes to this bug.